Subject: bug#25411: 25.1; rmail decryption problems

From: Francesco Potortì <[email-masked]>
Date: Tue, 15 Dec 2020 22:31:28 +0100

>>>>>I've now bound `C-c C-d' to `rmail-epa-decrypt'.
>>>>
>>>> Note that C-c C-e is the prefix for the epa-mail functions.  I think
>>>> it's natural to use the same prefix for rmail.
>>>
>>>Oh, I wasn't aware of that...  there doesn't seem to be a `C-c C-e'
>>>binding in rmail by default, though?
>>
>> No, in fact.  But being used to epa it is natural for me that C-c C-e is
>> the prefix
>
>The complication here is that `C-c C-e' is a submap (presumably), and if
>rmail binds `C-c C-e d' without that submap, there'll be a keymap
>collision.

I ma not proficient enough about submaps.  However, this is what i have
in my .emacs, and ift has worked for a long time:

(add-hook 'rmail-mode-hook
	  (lambda ()
	    (require 'rmailsum)
	    (define-key rmail-mode-map "\C-c\C-ed" 'epa-mail-decrypt)
...